<ng-container *ngIf="{ screenSize: screenSize$ | async } as vm">
  <mat-expansion-panel>
    <mat-expansion-panel-header [collapsedHeight]="'3.5rem'" [expandedHeight]="'4rem'">
      <ng-container *ngIf="formGroup.value.team as team">
        <h3>
          {{ team | teamName:vm.screenSize:'xs' }}
          {{ team.index }}
        </h3>
        <figure>
          <img class="lazy-load"
               *ngIf="'common.team.defaultPicture.url' | translate"
               [lazyLoad]="team.logoUrl || ('common.team.defaultPicture.url' | translate)"
               [errorImage]="'common.team.defaultPicture.url' | translate"
               [alt]="team.name"/>
        </figure>
      </ng-container>
    </mat-expansion-panel-header>
    <form [formGroup]="formGroup">
      <h4>
        {{ 'fmi.team.form.inChargeOfTeam' | translate }}
      </h4>

      <app-fmi-team-member
        *ngIf="controlAsFormGroup(formGroup.controls.educator) as educatorFormGroup"
        [formGroup]="educatorFormGroup">
      </app-fmi-team-member>

      <h4>
        {{ 'fmi.team.form.players' | translate }}
      </h4>
      <form class="players" formArrayName="players" cdkDropList
            (cdkDropListDropped)="dropPlayer($event, formGroup)">
        <app-fmi-team-member
          *ngFor="let playerFormGroup of controlAsFormGroups(formGroup.controls.players); let last = last; let index = index trackBy: trackByPlayerValue"
          [formGroup]="playerFormGroup" [index]="index"
          (selected)="onPlayerSelected($event, formGroup, last)"
          (deleted)="deletePlayerGroup(formGroup, index)"
          cdkDrag>
          <div class="drag-placeholder" *cdkDragPlaceholder></div>
          <div class="drag-handler" cdkDragHandle></div>
        </app-fmi-team-member>
        <button type="button" mat-stroked-button color="primary"
                [disabled]="!(controlAsFormGroups(formGroup.controls.players).length < maxPlayers)"
                (click)="addPlayerGroup(formGroup)"
                angulartics2On="click"
                angularticsLabel="player"
                angularticsAction="add"
                angularticsCategory="fmi-team">
          <mat-icon>
            add
          </mat-icon>
          {{ 'fmi.team.action.player.add'  | translate }}
        </button>
      </form>
    </form>
  </mat-expansion-panel>
</ng-container>
